WordPress.org

Support

Support » How-To and Troubleshooting » [Resolved] Still can't insert/edit link – WordPress 3.9

[Resolved] Still can't insert/edit link – WordPress 3.9

  • Really need major help figuring out why this button just will not work. I know its related to tinyMCE 4.0 and WordPress 3.9 and not related to a plug-in (de-activated all and cleared cache) or theme (switched themes and had theme developer try on his end also).

    This is the console error in Chrome. Is there anything else I can try? Could my WordPress install be corrupt? I tried re-installing using the radio button on the update page to no avail. Should I try to re-install manually?

    Consider using ‘dppx’ units instead of ‘dpi’, as in CSS ‘dpi’ means dots-per-CSS-inch, not dots-per-physical-inch, so does not correspond to the actual ‘dpi’ of a screen. In media query expression: print, not all, (-webkit-min-device-pixel-ratio: 1.25), (min-resolution: 120dpi) post-new.php:66
    7
    Consider using ‘dppx’ units instead of ‘dpi’, as in CSS ‘dpi’ means dots-per-CSS-inch, not dots-per-physical-inch, so does not correspond to the actual ‘dpi’ of a screen. In media query expression: print, not all, (-webkit-min-device-pixel-ratio: 1.25), (min-resolution: 120dpi) post-new.php:1
    Consider using ‘dppx’ units instead of ‘dpi’, as in CSS ‘dpi’ means dots-per-CSS-inch, not dots-per-physical-inch, so does not correspond to the actual ‘dpi’ of a screen. In media query expression: print, not all, (-webkit-min-device-pixel-ratio: 1.25), (min-resolution: 120dpi) post-new.php:602
    Deprecated TinyMCE API call: <target>.onNodeChange.add(..) plugin.min.js?ver=4021-20140412:1
    2
    Consider using ‘dppx’ units instead of ‘dpi’, as in CSS ‘dpi’ means dots-per-CSS-inch, not dots-per-physical-inch, so does not correspond to the actual ‘dpi’ of a screen. In media query expression: print, not all, (-webkit-min-device-pixel-ratio: 1.25), (min-resolution: 120dpi) post-new.php:1

    The blog I need help with is http://www.islandersinsight.com.

Viewing 15 replies - 1 through 15 (of 16 total)
  • Moderator Samuel Wood (Otto)

    @otto42

    WordPress.org Tech Dude

    This bit is the problem:

    Deprecated TinyMCE API call: <target>.onNodeChange.add(..) plugin.min.js?ver=4021-20140412:1

    And it tells me that you’re still somehow running some older code somewhere. onNodeChange isn’t used anywhere in TinyMCE anymore, in the new version it changed to “NodeChange”.

    So, you either still have a plugin or theme that is expecting the old TinyMCE code, or you have some kind of cache interfering, or something else wrong along those lines.

    What does your site use that is in any way not usual? CloudFlare? Any sort of caching system? Anything at all.

    Just looking at your site I can see that you have these plugins running:
    WP-Super-Cache
    Jetpack
    yop-poll
    Wysija-newsletters
    Paged-post-slider
    Yoast WordPress SEO
    Google Analytics for WordPress by Yoast
    wp-pagenavi
    compact-wp-audio-player
    And a theme named “megnet”.

    Any of these can cause the problem. The goal of asking you to disable things and switch themes temporarily is not to actually solve the problem, but to find out where it is coming from. Without knowing where the problem lies, it’s a needle in a haystack.

    That’s the most confusing thing Sam. I have tried everything. De-activating plug-ins, clearing browser cache, changing themes.

    Nothing is working. Is there anything else I can try? Sucks that there is nothing that can diagnose exactly what the problem is. For all its advancements, tech still has its limitations I guess.

    These are the plug-ins I am running.

    Akismet
    Settings | Deactivate | Edit

    Compact Audio Player
    Deactivate | Edit

    Disqus Comment System
    Settings | Deactivate | Edit

    Google Analytics for WordPress
    Settings | Deactivate | Edit

    Google XML Sitemaps
    Deactivate | Edit

    Jetpack by WordPress.com
    Settings | Deactivate | Edit

    MailPoet Newsletters
    Deactivate | Edit

    Paged Post Slider
    Deactivate | Edit

    Role Manager
    Deactivate | Edit

    TablePress
    Deactivate | Edit | Plugin page

    The Events Calendar
    Deactivate | Edit | Settings | Calendar

    Wordfence Security
    Deactivate | Edit

    WordPress SEO
    FAQ | Premium Support | Settings | Deactivate | Edit

    WP-PageNavi
    Deactivate | Edit | Settings

    WP Super Cache
    Settings | Deactivate | Edit

    Yop Poll Plugin

    I believe MailPoet was on the master list of plugins known to cause issues – see here: http://wordpress.org/support/topic/wordpress-39-master-list?replies=6

    Make sure you’re running the latest version which has been fixed to work with 3.9

    Just my 0.02$, I once saw something weird possibly related.

    Can you create another username, fresh from nothing, and see if the username also has the issue ?

    Thanks guys – Mail Poet is latest version and tried setting up new user. No dice.

    So frustrated.

    Moderator Samuel Wood (Otto)

    @otto42

    WordPress.org Tech Dude

    For reference, in case anybody else is having the problem.

    The theme in question is Megnet.

    The theme includes a plugin built into it called
    Aqua Page Builder.

    The plugin causes this to occur. To fix, edit the theme’s functions.php file and comment out the line that loads this plugin.

    I have the same issue and narrowed it down to wordpress SEO by Yoast – I have a reported a bug on their message board, but have yet to get a response/repair

    I finally received a response from Yoast and this is what I get.

    “No, we don’t “want” you to upgrade, we want you to pay for our time. This is issue is a duplicate of several others, so right now, you’re wasting my time :)”

    That’s great customer service…NOT

    I having a problem with the link button. The button is greyed out until the text is highlighted. However, once the text is highlighted and the button comes to life, I cannot get the dialog box to open to enter the link that.

    Mary

    @jomainea

    I am having the same problem. The link button is greyed out, but never comes to life even when I highlight what I want it to link to. HELP. This is really frustrating. My blog has been down for almost a month. I cannot link to anything. I have deactivated everything. Changed themes. I only remember this happening when I upgraded my wordpress 3.something!
    http://www.jomaine.com/blog (Still drafts because I cannot LINK)

    ThatJeffro

    @thatjeffro

    I’m in WordPress 4.0 . Had the same issue with whatever theme I tried. My problem was caused by the Comprehensive Google Map Plugin. Once deactivated, problem solved. Don’t know the science or code behind it. All I know is it worked in my case.
    May or may not help somebody else but you never know.
    Hope it does.
    Thanks

    ritch47golf

    @ritch47golf

    Yippee!

    Thanks ThatJeffro.

    That fixed it for me too. Now to work on getting a Google map plugin that works. 🙂

    desiree411

    @desiree411

    When i removed the Comprehensive Google Map Plugin, it did the trick!!! Yay! That was hours of frustration….

    SmilinVamp

    @smilinvamp

    ThatJeffro is awesome… I am in the same boat. I have WP4 as well. In my case the links button would not work. As well my SEO by Yoast was also not functioning. I have deactivated Comprehensive Google Map Plugin and all is back to working order.

    What’s up with that plugin?

    Thanks!

Viewing 15 replies - 1 through 15 (of 16 total)
  • The topic ‘[Resolved] Still can't insert/edit link – WordPress 3.9’ is closed to new replies.